Package org.eclipse.microprofile.rest.client.tck.providers

# Class TestParamConverterProvider

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TestParamConverterProvider

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ParamConverterProvider`

public class TestParamConverterProvider extends Object implements jakarta.ws.rs.ext.ParamConverterProvider

## Constructor Summary

Constructors
Constructor
Description
`TestParamConverterProvider()`

## Method Summary

Modifier and Type
Method
Description
`<T> jakarta.ws.rs.ext.ParamConverter<T>`
`getConverter(Class<T> aClass, Type type, Annotation[] annotations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestParamConverterProvider

public TestParamConverterProvider()

## Method Details

### getConverter

public <T> jakarta.ws.rs.ext.ParamConverter<T> getConverter(Class<T> aClass, Type type, Annotation[] annotations)

Specified by:
  `getConverter` in interface `jakarta.ws.rs.ext.ParamConverterProvider`